Summary:	Simple DirectMedia Layer - ttf handling
Summary(pl.UTF-8):	Biblioteka obsługi fontów TTF dla SDL
Summary(pt_BR.UTF-8):	Simple DirectMedia Layer - Biblioteca de fontes TrueType
Name:		SDL_ttf
Version:	2.0.11
Release:	2
License:	Zlib-like
Group:		Libraries
Source0:	http://www.libsdl.org/projects/SDL_ttf/release/%{name}-%{version}.tar.gz
# Source0-md5:	61e29bd9da8d245bc2471d1b2ce591aa
URL:		http://www.libsdl.org/projects/SDL_ttf/release-1.2.html
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL-devel >= 1.2.5-2
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	freetype-devel >= 2.1.4
BuildRequires:	libtool >= 2:2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a sample library which allows you to use TrueType fonts in
your SDL applications. It comes with an example program "sdlfont"
which displays an example string for a given TrueType font file.

%description -l pl.UTF-8
Przykładowa biblioteka do obsługi fontów TrueType w aplikacjach SDL.
Pakiet zawiera przykładowy program "sdlfont", wyświetlający
przykładowy ciąg znaków zadanym fontem TrueType.

%description -l pt_BR.UTF-8
Esta é uma biblioteca que permite a utilização de fontes TrueType em
suas aplicações SDL. Ela vem com o programa exemplo "sdlfont" que
mostra uma string exemplo para uma fonte TrueType fornecida.

%package devel
Summary:	Header files and more to develop SDL_ttf applications
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania aplikacji używających SDL_ttf
Summary(pt_BR.UTF-8):	Cabeçalhos para desenvolver programas utilizando a SDL_ttf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel >= 1.2.5-2
Requires:	freetype-devel >= 2.1.4

%description devel
Header files and more to develop SDL_ttf applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do rozwijania aplikacji używających SDL_ttf.

%description devel -l pt_BR.UTF-8
Este pacote contém os cabeçalhos que programadores vão precisar para
desenvolver aplicações utilizando a SDL_ttf.

%package static
Summary:	Static SDL_ttf library
Summary(pl.UTF-8):	Biblioteka statyczna SDL_ttf
Summary(pt_BR.UTF-8):	Biblioteca estática para desenvolvimento utilizando a SDL_ttf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SDL_ttf library.

%description static -l pl.UTF-8
Biblioteka statyczna SDL_ttf.

%description static -l pt_BR.UTF-8
Este pacote contém a biblioteca estática que programadores vão
precisar para desenvolver aplicações linkados estaticamente com a
SDL_ttf.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make} \
	libSDL_ttf_la_LIBADD="-lm"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install .libs/showfont $RPM_BUILD_ROOT%{_bindir}/sdlfont

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES COPYING README
%attr(755,root,root) %{_bindir}/sdlfont
%attr(755,root,root) %{_libdir}/libSDL_ttf-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libSDL_ttf-2.0.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libSDL_ttf.so
%{_libdir}/libSDL_ttf.la
%{_includedir}/SDL/SDL_ttf.h
%{_pkgconfigdir}/SDL_ttf.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libSDL_ttf.a
%changelog
* Fri Feb 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/SDL_ttf.git;a=log;h=master

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 5f33feb
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jun 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 1315391
- updated URL, adjusted showfont/sdlfont tool name in pt_BR desc

* Sat Jun 14 2014 Jakub Bogusz <qboosh@pld-linux.org> b42c4c8
- summary/description cleanup; more straight -lm fix

* Tue Jan 17 2012 Jakub Bogusz <qboosh@pld-linux.org> 8cacf0c
- updated to 2.0.11 (now on zlib license)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 2b953cb
- link with -lm (fixes missing symbols)

* Tue Sep 07 2010 Jakub Bogusz <qboosh@pld-linux.org> 32f6bcb
- cleanup, fixed typo in changelog
- updated libtool BR

* Sun Jul 11 2010 lisu <lisu@pld-linux.org> 7aea914
- 2.0.10
- package .pc file and .so.0 as ghost

* Wed Jun 02 2010 Jan Rękorajski <baggins@pld-linux.org> 4cf2d6b
- rel 3

* Sat Nov 15 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 96ef83c
- release 2

* Mon Aug 13 2007 Jakub Bogusz <qboosh@pld-linux.org> 5ef5561
- updated to 2.0.9
- removed obsolete ft2build_h patch

* Mon Aug 13 2007 Jakub Bogusz <qboosh@pld-linux.org> d04aa42
- obsolete

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 27b3438
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9e32080
- converted to UTF-8

* Sun May 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 369d43d
- updated ft2build_h patch to fix build with freetype 2.2.x
- release 2

* Sun May 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 749da6b
- updated from freetype.org to kill internal freetype API usage

* Sat May 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 17095ff
- install actual showfont binary, not wrapper script

* Sat May 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 4efe532
- updated to 2.0.8, -devel R: freetype-devel

* Sun Apr 09 2006 Jakub Bogusz <qboosh@pld-linux.org> eb63bc7
- BR: OpenGL-GLU-devel (used through <SDL/opengl.h>)
- BR: autoconf >= 2.59-9 to avoid libXt BR

* Thu Apr 06 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 2ed0193
- drop X11 requirement

* Sat Jan 15 2005 Jakub Bogusz <qboosh@pld-linux.org> 9abe49c
- updated to 2.0.7, updated ft2build_h patch

